﻿@model Product
@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_LayoutAdmin.cshtml";
}

<form method="post" asp-action="Edit" style="width:90%; margin: 0 auto;" enctype="multipart/form-data">
    <div class="border p-3 mt-4">
        <div class="row pb-6">
            <h2 class="text-primary">Sửa thông tin</h2>
            <hr />
        </div>
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <input type="hidden" asp-for="Id" />
           <div class="mb-3">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="ImageName" class="control-label"></label>
                <input asp-for="ImageName" class="form-control" />
                <span asp-validation-for="ImageName" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="MoreImages" class="control-label"></label>
                <input asp-for="MoreImages" class="form-control" />
                <span asp-validation-for="MoreImages" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="UrlSlug" class="control-label"></label>
                <input asp-for="UrlSlug" disabled class="form-control" />
                <span asp-validation-for="UrlSlug" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Monitor" class="control-label"></label>
                <input asp-for="Monitor" class="form-control" />
                <span asp-validation-for="Monitor" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Cpu" class="control-label"></label>
                <input asp-for="Cpu" class="form-control" />
                <span asp-validation-for="Cpu" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Ram" class="control-label"></label>
                <input asp-for="Ram" class="form-control" />
                <span asp-validation-for="Ram" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="HardDriver" class="control-label"></label>
                <input asp-for="HardDriver" class="form-control" />
                <span asp-validation-for="HardDriver" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Card" class="control-label"></label>
                <input asp-for="Card" class="form-control" />
                <span asp-validation-for="Card" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="OperatingSystem" class="control-label"></label>
                <input asp-for="OperatingSystem" class="form-control" />
                <span asp-validation-for="OperatingSystem" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Weight" class="control-label"></label>
                <input asp-for="Weight" class="form-control" />
                <span asp-validation-for="Weight" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Size" class="control-label"></label>
                <input asp-for="Size" class="form-control" />
                <span asp-validation-for="Size" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Price" class="control-label"></label>
                <input asp-for="Price" class="form-control" />
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="Quantity" class="control-label"></label>
                <input asp-for="Quantity" class="form-control" />
                <span asp-validation-for="Quantity" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="RateCount" class="control-label"></label>
                <input asp-for="RateCount" class="form-control" />
                <span asp-validation-for="RateCount" class="text-danger"></span>
            </div>
            <div class="mb-3">
                <label asp-for="TotalRate" class="control-label"></label>
                <input asp-for="TotalRate" class="form-control" />
                <span asp-validation-for="TotalRate" class="text-danger"></span>
            </div>
		<div class="mb-3">
			<label asp-for="BrandId">Category</label>
			<select asp-for="BrandId" asp-items="@ViewBag.CategoryList" class="form-control">
				<option disabled selected>--Select CoverType--</option>
			</select>
			<span asp-validation-for="BrandId" class="text-danger"></span>
		</div>
        <div class="mb-3">
            <input type="submit" value="Save" class="btn btn-primary" />
        </div>
    </div>
</form>


<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts{
    @{
        <partial name="_ValidationScriptsPartial" />
    }
    <script>
        tinymce.init({
            selector: 'textarea',
            plugins: 'advlist autolink lists link image charmap print preview hr anchor pagebreak',
            toolbar_mode: 'floating',
        });

        function ValidateInput() {
            if (document.getElementById("uploadBox").value == "") {
                Swal.fire({
                    icon: 'error',
                    title: 'Oops...',
                    text: 'Please upload an Image!',
                });
                return false;
            }
            return true;
        }
    </script>
}



